Subject: bug#73928: Bug#1080330: coreutils: who no longer works

From: Chris Hofstaedtler <[email-masked]>
Date: Sun, 16 Feb 2025 20:08:46 +0100

On Sun, Feb 16, 2025 at 07:29:22PM +0100, Vincent Lefevre wrote:
> After some search, quoting you from
> 
>   https://lists.debian.org/debian-release/2024/04/msg00493.html
> 
> | Subject: Y2038-safe replacements for utmp/wtmp and lastlog
> | From: Chris Hofstaedtler
> | Date: Fri, 26 Apr 2024 13:12:21 +0200
> [...]
> | you are probably aware of the time_t-64bit migration :-)
> | However, this does not magically transition all data formats to 64bit
> | times. One such instance is the set of utmp/wtmp and lastlog files.
> |
> | Thorsten Kukuk and others have been working on replacements for the
> | existing file formats and interfaces [1]; these are called wtmpdb
> | and lastlog2.
> [...]

Right, that was a bit unclear. The replacements for file-based data
are indeed wtmpdb and lastlog2, but both are optional. The current
state ("utmp") is inside logind.

Chris